Installation on SCSI device using preseed file

Bug #1564788 reported by bugproxy on 2016-04-01
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Unassigned
Ubuntu on IBM z Systems
Medium
Frank Heimes
installation-guide (Ubuntu)
Medium
Frank Heimes
Bionic
Undecided
Unassigned

Bug Description

Problem Description
======================
I would like to install on a SCSI device using a preseed file. But there is no documentation which keywords and syntax can be used to define the zFCP, WWPN and LUN in the preseed file.
There is also no documentation if it is possible to define the zFCP, WWPN and LUN already in the parmfile and how this can be done.

SRU Request:
============

[Impact]

 * Updated the desired changes of the inst. guide regarding naming conventions etc.

 * and s390x specific details, especially the preseed chapter was significantly updated with the s390x-specific new statements (incl. FCP)

 * Because 18.04.1 is the main upgrade target it's important to have it in place with 16.04.1

 * The changes on the doc not only updated the outdated content ...

 * ... but also added new functions and technology (like FCP) that was added to the platform since the last update

[Test Case]

 * Open the updated doc - as either html, PS, PDF or txt ...

 * and compare the modified and new content with the current functionality the platform provides

[Regression Potential]

 * The regression potential is low because most changes are platform (s390x) specific

 * However, since it's written in docbook with several conditional statements changes on one platform may cause an impact to other, too.

 * For verification reasons I created the guide after my changes not only for s390x, but also for other platforms...

 * ... and even found two issues that I fixed (nested use of xml elements, that cause issues while creating PDF, even if HTML creation still worked fine ...)

 * No impact is expected on an Ubuntu installation itself - since it's documentation only.

Related branches

bugproxy (bugproxy) on 2016-04-01
tags: added: architecture-s39064 bugnameltc-139852 severity-medium targetmilestone-inin1604
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1564788/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Changed in ubuntu:
importance: Undecided → Wishlist
status: New → Confirmed

------- Comment From <email address hidden> 2016-04-01 11:43 EDT-------
(In reply to comment #5)
> Thank you for taking the time to report this bug and helping to make Ubuntu
> better. It seems that your bug report is not filed about a specific source
> package though, rather it is just filed against Ubuntu in general. It is
> important that bug reports be filed about source packages so that people
> interested in the package can find the bugs about it. You can find some
> hints about determining what package your bug might be about at
> https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help
> in the #ubuntu-bugs irc channel on Freenode.
>
> To change the source package that this bug is filed about visit
> https://bugs.launchpad.net/ubuntu/+bug/1564788/+editstatus and add the
> package name in the text box next to the word Package.
>
> [This is an automated message. I apologize if it reached you
> inappropriately; please just reply to this message indicating so.]

Please file this problem against documentation or installation documentation.

Dimitri John Ledkov (xnox) wrote :

From s390-zfcp.templates as implemented by IBM in Debian:

Template: s390-zfcp/zfcp
Type: string
Description: for internal use; preseeding only
 Enables one ore more SCSI devices for the installation. Use the
 comma (,) to separate multiple entries. An entry consists of a
 zfcp host adapter only or a zfcp host adapter followed by the WWPN
 and LUN, separated by a colon (:). For example,
 0.0.1234,0.0.5678:0x2005000e11159c32:0x1234567800000000

I guess this information should be added to the installation guide, in both debian and ubuntu.

affects: ubuntu → installation-guide (Ubuntu)
dann frazier (dannf) on 2016-04-20
Changed in ubuntu-z-systems:
importance: Undecided → Medium
Dimitri John Ledkov (xnox) wrote :
Changed in ubuntu-release-notes:
status: New → Fix Released
dann frazier (dannf) on 2016-04-21
Changed in ubuntu-z-systems:
status: New → Confirmed
Changed in installation-guide (Ubuntu):
importance: Wishlist → Medium
Changed in ubuntu-z-systems:
importance: Medium → High
assignee: nobody → Dimitri John Ledkov (xnox)
Changed in ubuntu-z-systems:
status: Confirmed → In Progress
Frank Heimes (frank-heimes) wrote :

until the official installation guide for all architectures is updated, you may find all required preseed zfcp information here on that wiki page:
https://wiki.ubuntu.com/S390X/InstallationGuide/AutomatedInstallsWithPreseed

Changed in ubuntu-z-systems:
status: In Progress → Confirmed
importance: High → Medium
Changed in installation-guide (Ubuntu):
status: Confirmed → Fix Committed
Changed in ubuntu-z-systems:
status: Confirmed → Fix Committed
description: updated
Changed in ubuntu-z-systems:
assignee: Dimitri John Ledkov 🌈 (xnox) → Frank Heimes (frank-heimes)
Changed in installation-guide (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Frank Heimes (frank-heimes)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package installation-guide - 20160121ubuntu6

---------------
installation-guide (20160121ubuntu6) cosmic; urgency=medium

  * build/preseed.pl: also replace the arch-title entity in preseed with
    the short arch name -- that's all we'll need in the preseed examples.

 -- Mathieu Trudel-Lapierre <email address hidden> Tue, 03 Jul 2018 15:00:27 -0400

Changed in installation-guide (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released

Hello bugproxy, or anyone else affected,

Accepted installation-guide into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/installation-guide/20160121ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in installation-guide (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Frank Heimes (frank-heimes) wrote :

Found some minor issues in the representation of special ASCII characters in the PDF version and some lines that were to long and run into the border.
Fixed that with revision 550.
Content-wise everything is fine.
Changing tags accordingly.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello bugproxy, or anyone else affected,

Accepted installation-guide into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/installation-guide/20160121ubuntu4.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-bionic
removed: verification-done verification-done-bionic
Frank Heimes (frank-heimes) wrote :

Installed the amd64 and s390x verision of the package and had a look at the txt, html and pdf formats (checked the s390x versions on s390x and amd64).
Latest modifications are in - looks fine now.
Changing to verification done.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package installation-guide - 20160121ubuntu4.2

---------------
installation-guide (20160121ubuntu4.2) bionic; urgency=medium

  * Fixed some appearance issues and long lines - mainly visible in the PDFs
    (LP: #1575236)

installation-guide (20160121ubuntu4.1) bionic; urgency=medium

  * More adjustments to the s390x portion of the installation guide, updated
    references to IBM documentation. (LP: #1575236)
  * Clear up use of zfcp configuration in preseed. (LP: #1564788)
  * Add a validation-only build mode.

 -- Frank Heimes <email address hidden> Fri, 06 Jul 2018 12:08:50 -0400

Changed in installation-guide (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for installation-guide has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers